import TgM from "./TgM";


export default class PayM {
  private static _ins: PayM;
  public static get ins(): PayM {
    return (PayM._ins ??= new PayM());
  }

  public async jumpToPay(url: string) {
    console.log("jumpToPay...url:", url);
    if (url) {
      if (await TgM.ins.isTG()) {
        TgM.ins.openTelegramLink(url);


        // TGOpenLink(url);
      } else {
        window.open(url, "_blank");
      }
    }
  }
}
